Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1476453002: Clean up PlatformThread. (Closed)

Created:
3 years, 6 months ago by pbos-webrtc
Modified:
3 years, 6 months ago
Reviewers:
tommi
CC:
webrtc-reviews_webrtc.org, yujie_mao (webrtc), zhuangzesen_agora.io, tlegrand-webrtc, peah-webrtc, andresp, bjornv1, video-team_agora.io, tterriberry_mozilla.com, fengyue_agora.io, sdk-team_agora.io, minyue-webrtc, mflodman, Andrew MacDonald, zhengzhonghou_agora.io, stefan-webrtc, kwiberg-webrtc, henrika_webrtc, audio-team_agora.io, hlundin-webrtc, the sun, perkj_webrtc, aluebs-webrtc
Base URL:
https://chromium.googlesource.com/external/webrtc.git@master
Target Ref:
refs/pending/heads/master
Project:
webrtc
Visibility:
Public.

Description

Clean up PlatformThread. * Move PlatformThread to rtc::. * Remove ::CreateThread factory method. * Make non-scoped_ptr from a lot of invocations. * Make Start/Stop void. * Remove rtc::Thread priorities, which were unused and would collide. * Add ::IsRunning() to PlatformThread. BUG= R=tommi@webrtc.org Committed: https://crrev.com/8c38e8b9b96d72317d6ce94c1442113b4e385dcb Cr-Commit-Position: refs/heads/master@{#10812}

Patch Set 1 #

Patch Set 2 : add ::IsRunning() const #

Patch Set 3 : rebase #

Patch Set 4 : platform compile failures + minor thread cleanup #

Patch Set 5 : more windows compile errors #

Patch Set 6 : != FALSE and more win compile failures #

Patch Set 7 : remove cpumonitor_unittest which is never built (and cpumonitor is long gone) #

Patch Set 8 : hopefully the last win compile error #

Total comments: 2

Patch Set 9 : IsRunning DCHECK #

Unified diffs Side-by-side diffs Delta from patch set Stats (+377 lines, -1055 lines) Patch
D webrtc/base/cpumonitor_unittest.cc View 1 2 3 4 5 6 1 chunk +0 lines, -389 lines 0 comments Download
M webrtc/base/platform_thread.h View 1 3 chunks +11 lines, -38 lines 0 comments Download
M webrtc/base/platform_thread.cc View 1 2 3 4 5 6 7 8 6 chunks +21 lines, -29 lines 0 comments Download
M webrtc/base/platform_thread_unittest.cc View 2 chunks +6 lines, -8 lines 0 comments Download
M webrtc/base/signalthread.h View 1 chunk +0 lines, -3 lines 0 comments Download
M webrtc/base/signalthread.cc View 1 chunk +0 lines, -7 lines 0 comments Download
M webrtc/base/thread.h View 3 chunks +0 lines, -12 lines 0 comments Download
M webrtc/base/thread.cc View 4 chunks +1 line, -69 lines 0 comments Download
M webrtc/base/thread_unittest.cc View 1 chunk +0 lines, -27 lines 0 comments Download
M webrtc/common_video/include/incoming_video_stream.h View 1 2 3 chunks +4 lines, -3 lines 0 comments Download
M webrtc/common_video/incoming_video_stream.cc View 1 2 3 chunks +8 lines, -13 lines 0 comments Download
M webrtc/modules/audio_coding/acm2/audio_coding_module_unittest_oldapi.cc View 1 2 6 chunks +27 lines, -33 lines 0 comments Download
M webrtc/modules/audio_coding/test/APITest.cc View 1 2 3 chunks +28 lines, -38 lines 0 comments Download
M webrtc/modules/audio_device/dummy/file_audio_device.h View 2 chunks +7 lines, -3 lines 0 comments Download
M webrtc/modules/audio_device/dummy/file_audio_device.cc View 2 chunks +8 lines, -21 lines 0 comments Download
M webrtc/modules/audio_device/linux/audio_device_alsa_linux.h View 1 chunk +4 lines, -2 lines 0 comments Download
M webrtc/modules/audio_device/linux/audio_device_alsa_linux.cc View 4 chunks +10 lines, -30 lines 0 comments Download
M webrtc/modules/audio_device/linux/audio_device_pulse_linux.h View 1 chunk +3 lines, -2 lines 0 comments Download
M webrtc/modules/audio_device/linux/audio_device_pulse_linux.cc View 3 chunks +10 lines, -26 lines 0 comments Download
M webrtc/modules/audio_device/mac/audio_device_mac.h View 2 chunks +8 lines, -3 lines 0 comments Download
M webrtc/modules/audio_device/mac/audio_device_mac.cc View 2 chunks +6 lines, -6 lines 0 comments Download
M webrtc/modules/audio_device/win/audio_device_wave_win.h View 1 2 3 4 5 1 chunk +2 lines, -1 line 0 comments Download
M webrtc/modules/audio_device/win/audio_device_wave_win.cc View 1 2 3 4 5 6 7 2 chunks +4 lines, -10 lines 0 comments Download
M webrtc/modules/audio_processing/audio_processing_impl_locking_unittest.cc View 1 2 3 chunks +15 lines, -21 lines 0 comments Download
M webrtc/modules/rtp_rtcp/test/BWEStandAlone/MatlabPlot.h View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/modules/rtp_rtcp/test/BWEStandAlone/MatlabPlot.cc View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/modules/rtp_rtcp/test/BWEStandAlone/TestLoadGenerator.h View 1 chunk +2 lines, -1 line 0 comments Download
M webrtc/modules/rtp_rtcp/test/BWEStandAlone/TestLoadGenerator.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M webrtc/modules/rtp_rtcp/test/BWEStandAlone/TestSenderReceiver.h View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/modules/rtp_rtcp/test/BWEStandAlone/TestSenderReceiver.cc View 4 chunks +5 lines, -8 lines 0 comments Download
M webrtc/modules/utility/source/process_thread_impl.h View 1 chunk +2 lines, -1 line 0 comments Download
M webrtc/modules/utility/source/process_thread_impl.cc View 2 chunks +4 lines, -4 lines 0 comments Download
M webrtc/modules/video_capture/linux/video_capture_linux.h View 1 chunk +2 lines, -1 line 0 comments Download
M webrtc/modules/video_capture/linux/video_capture_linux.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M webrtc/modules/video_render/android/video_render_android_impl.h View 1 chunk +2 lines, -1 line 0 comments Download
M webrtc/modules/video_render/android/video_render_android_impl.cc View 1 2 3 1 chunk +6 lines, -11 lines 0 comments Download
M webrtc/modules/video_render/ios/video_render_ios_gles20.h View 1 chunk +2 lines, -1 line 0 comments Download
M webrtc/modules/video_render/ios/video_render_ios_gles20.mm View 2 chunks +4 lines, -4 lines 0 comments Download
M webrtc/modules/video_render/mac/video_render_agl.h View 1 chunk +2 lines, -1 line 0 comments Download
M webrtc/modules/video_render/mac/video_render_agl.cc View 8 chunks +11 lines, -12 lines 0 comments Download
M webrtc/modules/video_render/mac/video_render_nsopengl.h View 2 chunks +6 lines, -2 lines 0 comments Download
M webrtc/modules/video_render/mac/video_render_nsopengl.mm View 1 2 3 6 chunks +15 lines, -19 lines 0 comments Download
M webrtc/modules/video_render/windows/video_render_direct3d9.h View 1 chunk +2 lines, -1 line 0 comments Download
M webrtc/modules/video_render/windows/video_render_direct3d9.cc View 3 chunks +4 lines, -4 lines 0 comments Download
M webrtc/system_wrappers/include/data_log_impl.h View 1 chunk +3 lines, -1 line 0 comments Download
M webrtc/system_wrappers/source/condition_variable_unittest.cc View 2 chunks +4 lines, -6 lines 0 comments Download
M webrtc/system_wrappers/source/critical_section_unittest.cc View 4 chunks +6 lines, -6 lines 0 comments Download
M webrtc/system_wrappers/source/data_log.cc View 4 chunks +12 lines, -22 lines 0 comments Download
M webrtc/system_wrappers/source/event_timer_posix.h View 1 chunk +2 lines, -1 line 0 comments Download
M webrtc/system_wrappers/source/event_timer_posix.cc View 2 chunks +5 lines, -7 lines 0 comments Download
M webrtc/test/channel_transport/udp_socket2_manager_win.h View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/test/channel_transport/udp_socket2_manager_win.cc View 1 2 3 4 3 chunks +8 lines, -13 lines 0 comments Download
M webrtc/test/channel_transport/udp_socket_manager_posix.h View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/test/channel_transport/udp_socket_manager_posix.cc View 2 chunks +8 lines, -19 lines 0 comments Download
M webrtc/test/direct_transport.h View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/test/direct_transport.cc View 2 chunks +4 lines, -13 lines 0 comments Download
M webrtc/test/fake_audio_device.h View 3 chunks +2 lines, -2 lines 0 comments Download
M webrtc/test/fake_audio_device.cc View 3 chunks +4 lines, -11 lines 0 comments Download
M webrtc/test/frame_generator_capturer.h View 3 chunks +2 lines, -2 lines 0 comments Download
M webrtc/test/frame_generator_capturer.cc View 3 chunks +4 lines, -11 lines 0 comments Download
M webrtc/video/rampup_tests.h View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/video/rampup_tests.cc View 2 chunks +5 lines, -5 lines 0 comments Download
M webrtc/video/video_capture_input.h View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/video/video_capture_input.cc View 3 chunks +4 lines, -6 lines 0 comments Download
M webrtc/video/video_quality_test.cc View 5 chunks +11 lines, -12 lines 0 comments Download
M webrtc/video_engine/vie_channel.h View 1 2 3 4 5 6 7 8 3 chunks +2 lines, -2 lines 0 comments Download
M webrtc/video_engine/vie_channel.cc View 1 2 3 4 5 6 7 8 3 chunks +7 lines, -14 lines 0 comments Download
M webrtc/voice_engine/test/android/android_test/jni/android_test.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M webrtc/voice_engine/test/auto_test/fakes/conference_transport.h View 1 chunk +1 line, -1 line 0 comments Download
M webrtc/voice_engine/test/auto_test/fakes/conference_transport.cc View 3 chunks +4 lines, -6 lines 0 comments Download
M webrtc/voice_engine/test/auto_test/fixtures/after_initialization_fixture.h View 2 chunks +4 lines, -6 lines 0 comments Download
M webrtc/voice_engine/test/auto_test/voe_standard_test.h View 1 chunk +0 lines, -1 line 0 comments Download
M webrtc/voice_engine/test/auto_test/voe_stress_test.h View 2 chunks +3 lines, -3 lines 0 comments Download
M webrtc/voice_engine/test/auto_test/voe_stress_test.cc View 2 chunks +4 lines, -4 lines 0 comments Download

Messages

Total messages: 23 (7 generated)
pbos-webrtc
add ::IsRunning() const
3 years, 6 months ago (2015-11-24 12:13:23 UTC) #2
pbos-webrtc
rebase
3 years, 6 months ago (2015-11-24 12:18:39 UTC) #3
pbos-webrtc
rebase
3 years, 6 months ago (2015-11-26 12:52:26 UTC) #5
pbos-webrtc
platform compile failures + minor thread cleanup
3 years, 6 months ago (2015-11-26 12:58:35 UTC) #6
pbos-webrtc
more windows compile errors
3 years, 6 months ago (2015-11-26 13:06:06 UTC) #8
pbos-webrtc
!= FALSE and more win compile failures
3 years, 6 months ago (2015-11-26 13:32:03 UTC) #9
pbos-webrtc
remove cpumonitor_unittest which is never built (and cpumonitor is long gone)
3 years, 6 months ago (2015-11-26 13:35:40 UTC) #10
pbos-webrtc
hopefully the last win compile error
3 years, 6 months ago (2015-11-26 14:01:03 UTC) #11
pbos-webrtc
Looks green now, PTAL tommi@! :)
3 years, 6 months ago (2015-11-26 14:15:21 UTC) #12
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1476453002/160001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1476453002/160001
3 years, 6 months ago (2015-11-26 14:15:50 UTC) #14
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: android_arm64_rel on tryserver.webrtc (JOB_TIMED_OUT, no build URL)
3 years, 6 months ago (2015-11-26 16:16:14 UTC) #16
tommi
lgtm. Great cleanup! So much clutter removed. https://codereview.webrtc.org/1476453002/diff/160001/webrtc/base/platform_thread.cc File webrtc/base/platform_thread.cc (right): https://codereview.webrtc.org/1476453002/diff/160001/webrtc/base/platform_thread.cc#newcode198 webrtc/base/platform_thread.cc:198: if (!IsRunning()) ...
3 years, 6 months ago (2015-11-26 16:26:46 UTC) #17
pbos-webrtc
https://codereview.webrtc.org/1476453002/diff/160001/webrtc/base/platform_thread.cc File webrtc/base/platform_thread.cc (right): https://codereview.webrtc.org/1476453002/diff/160001/webrtc/base/platform_thread.cc#newcode198 webrtc/base/platform_thread.cc:198: if (!IsRunning()) On 2015/11/26 16:26:45, tommi (webrtc) wrote: > ...
3 years, 6 months ago (2015-11-26 16:43:03 UTC) #18
pbos-webrtc
IsRunning DCHECK
3 years, 6 months ago (2015-11-26 16:43:31 UTC) #19
pbos-webrtc
Committed patchset #9 (id:170001) manually as 8c38e8b9b96d72317d6ce94c1442113b4e385dcb (presubmit successful).
3 years, 6 months ago (2015-11-26 16:46:04 UTC) #21
commit-bot: I haz the power
3 years, 6 months ago (2015-11-26 16:46:05 UTC) #23
Message was sent while issue was closed.
Patchset 9 (id:??) landed as
https://crrev.com/8c38e8b9b96d72317d6ce94c1442113b4e385dcb
Cr-Commit-Position: refs/heads/master@{#10812}

Powered by Google App Engine
This is Rietveld 408576698